{% extends "tmpl1/base.html" %}
{%  load static from staticfiles %}
{% load upload_tags %}
{% block js %}

<!-- The jQuery UI widget factory, can be omitted if jQuery UI is already included -->
<script src="/static/js/vendor/jquery.ui.widget.js"></script>
<!-- The Templates plugin is included to render the upload/download listings -->
<script src="/static/js/tmpl.min.js"></script>
<!-- The Load Image plugin is included for the preview images and image resizing functionality -->
<script src="/static/js/load-image.min.js"></script>
<!-- The Canvas to Blob plugin is included for image resizing functionality -->
<script src="/static/js/canvas-to-blob.min.js"></script>
<!-- Bootstrap JS is not required, but included for the responsive demo navigation -->
<script src="/static/js/bootstrap.min.js"></script>
<!-- blueimp Gallery script -->
<script src="/static/js/jquery.blueimp-gallery.min.js"></script>
<!-- The Iframe Transport is required for browsers without support for XHR file uploads -->
<script src="/static/js/jquery.iframe-transport.js"></script>
<!-- The basic File Upload plugin -->
<script src="/static/js/jquery.fileupload.js"></script>
<!-- The File Upload processing plugin -->
<script src="/static/js/jquery.fileupload-process.js"></script>
<!-- The File Upload image preview & resize plugin -->
<script src="/static/js/jquery.fileupload-image.js"></script>
<!-- The File Upload audio preview plugin -->
<script src="/static/js/jquery.fileupload-audio.js"></script>
<!-- The File Upload video preview plugin -->
<script src="/static/js/jquery.fileupload-video.js"></script>
<!-- The File Upload validation plugin -->
<script src="/static/js/jquery.fileupload-validate.js"></script>
<!-- The File Upload user interface plugin -->
<script src="/static/js/jquery.fileupload-ui.js"></script>
<!-- The main application script -->
<script src="/static/js/main.js"></script>
<script src="/static/js/locale.fa.js"></script>
<script src="/static/js/csrf.js"></script>
<!-- The XDomainRequest Transport is included for cross-domain file deletion for IE8+ -->
<!--[if gte IE 8]>
<script src="/static/js/cors/jquery.xdr-transport.js"></script>
<![endif]-->
{% endblock %}
{% block css %}

    <!-- Generic page styles -->
    <link rel="stylesheet" href="{% static 'css/style.css' %}">
    <!-- blueimp Gallery styles -->
    <link rel="stylesheet" href="{% static 'css/blueimp-gallery.min.css' %}">
    <!-- CSS to style the file input field as button and adjust the Bootstrap progress bars -->
    <link rel="stylesheet" href="{% static 'css/jquery.fileupload-ui.css' %}">
    <!-- CSS adjustments for browsers with JavaScript disabled -->
    <noscript><link rel="stylesheet" href="{% static 'css/jquery.fileupload-ui-noscript.css' %}"></noscript>
{% endblock %}
{% block body %}
<div class="container">

    <!-- The file upload form used as target for the file upload widget -->
    <form id="fileupload" method="post" action="." enctype="multipart/form-data">{% csrf_token %}
        <!-- Redirect browsers with JavaScript disabled to the origin page -->
        <!--<noscript><input type="hidden" name="redirect" value="http://blueimp.github.io/jQuery-File-Upload/"></noscript>-->
        <!-- The fileupload-buttonbar contains buttons to add/delete files and start/cancel the upload -->
        <div class="row fileupload-buttonbar">
            <div class="col-lg-7">
                <!-- The fileinput-button span is used to style the file input field as button -->
                <div class="input-group" style="padding-bottom:10px">
                    <span class="input-group-addon" id="basic-addon2">عنوان</span>
                    <input type="text" name="text" class="form-control" placeholder="عنوان را اینجا بنویسید" aria-describedby="basic-addon2">
                </div>
                <div class="input-group">
                    <span class="btn btn-success fileinput-button">
                        <i class="glyphicon glyphicon-plus"></i>
                        <span>اضافه کردن فایل ...</span>
                        <input type="file"  multiple>
                    </span>
                    <button type="submit" class="btn btn-primary start">
                        <i class="glyphicon glyphicon-upload"></i>
                        <span>شروع بارگزاری</span>
                    </button>
                    <button type="reset" class="btn btn-warning cancel">
                        <i class="glyphicon glyphicon-ban-circle"></i>
                        <span>رد کردن </span>
                    </button>
                    <button type="button" class="btn btn-danger delete">
                        <i class="glyphicon glyphicon-trash"></i>
                        <span>حذف </span>
                    </button>
                    <input type="checkbox" class="toggle">
                    <button type="submit" class="btn btn-primary float-left">ثبت</button>
                    <!-- The loading indicator is shown during file processing -->
                    <span class="fileupload-loading"></span>
                </div>
            </div>
            <!-- The global progress information -->
            <div class="col-lg-5 fileupload-progress fade">

                <!-- The global progress bar -->
                <div class="progress progress-striped active" role="progressbar" aria-valuemin="0" aria-valuemax="100">
                    <div class="progress-bar progress-bar-success" style="width:0%;"></div>
                </div>
                <!-- The extended global progress information -->
                <div class="progress-extended">&nbsp;</div>
            </div>
        </div>
        <!-- The table listing the files available for upload/download -->
        <table role="presentation" class="table table-striped"><tbody class="files"></tbody></table>
    </form>
    <br>

</div>
<!-- The blueimp Gallery widget -->
<div id="blueimp-gallery" class="blueimp-gallery blueimp-gallery-controls" data-filter=":even">
    <div class="slides"></div>
    <h3 class="title"></h3>
    <a class="prev">‹</a>
    <a class="next">›</a>
    <a class="close">×</a>
    <a class="play-pause"></a>
    <ol class="indicator"></ol>
</div>
{% upload_js %}
{% endblock %}
